package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public class CourseScheduleDto extends CourseSchedule {

    @ApiModelProperty(value = "教师名称",required = false)
    private String teacherName;

    /** 班级名称 */
    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    @ApiModelProperty(value = "学校名称",required = false)
    private String schoolName;

    @ApiModelProperty(value = "班级编号，房间号",required = false)
    private String sealClassId;

    public String getSealClassId() {
        return sealClassId;
    }

    public void setSealClassId(String sealClassId) {
        this.sealClassId = sealClassId;
    }

    private StudentAttendanceStatusEnum attendanceStatus;

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public StudentAttendanceStatusEnum getAttendanceStatus() {
        return attendanceStatus;
    }

    public void setAttendanceStatus(StudentAttendanceStatusEnum attendanceStatus) {
        this.attendanceStatus = attendanceStatus;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }
}
