package com.ym.mec.biz.service;

public interface ContractService {

	/**
	 * 用户注册
	 * @param userId
	 * @return
	 */
	boolean register(Integer userId);

	/**
	 * 传递注册协议至第三方公证平台
	 * @param userId
	 * @return
	 */
	boolean transferRegisterContract(Integer userId);

	/**
	 * 查询注册协议内容
	 * @param userId
	 * @return
	 */
	String queryRegisterContract(Integer userId);

	/**
	 * 传递课程协议
	 * @param userId
	 * @param musicGroupId
	 * @return
	 */
	boolean transferMusicGroupCoursesContract(Integer userId, Integer musicGroupId);

	/**
	 * 查询课程协议
	 * @param userId
	 * @param musicGroupId
	 * @return
	 */
	String queryMusicGroupCoursesContract(Integer userId, Integer musicGroupId);

	/**
	 * 传递商品协议
	 * @param userId
	 * @param musicGroupId
	 * @return
	 */
	boolean transferGoodsContract(Integer userId, Integer musicGroupId);

	/**
	 * 查询商品协议
	 * @param userId
	 * @param musicGroupId
	 * @return
	 */
	String queryGoodsContract(Integer userId, Integer musicGroupId);
}
