package com.ym.mec.biz.service;

import java.util.List;

import com.ym.mec.biz.dal.entity.Goods;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.enums.OrderDetailTypeEnum;
import com.ym.mec.common.service.BaseService;

public interface StudentPaymentOrderService extends BaseService<Long, StudentPaymentOrder> {

	/**
	 * 查询商品列表
	 * @param musicGroupId
	 * @param type
	 * @return
	 */
	List<Goods> queryApplyGoodsList(Integer musicGroupId, OrderDetailTypeEnum type);
}