package com.ym.mec.education.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.List;

/**
 * @program: mec
 * @description: 学员出参
 * @author: xw
 * @create: 2019-10-06 19:24
 */
@Data
@ApiModel(description = "学员出参")
@Accessors(chain = true)
public class StudentResp implements Serializable {

    @ApiModelProperty(value = "学员姓名")
    private String studentName;
    @ApiModelProperty(value = "学员性别")
    private String studentGender;
    @ApiModelProperty(value = "授课科目")
    private List<String> subjectName;
    @ApiModelProperty(value = "学校")
    private String studentSchool;
    @ApiModelProperty(value = "学员年级")
    private String studentGrade;
    @ApiModelProperty(value = "手机号(父母)")
    private String parentsPhone;
    @ApiModelProperty(value = "备注")
    private String remark;
}
