package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(music_group_student_fee_):
 */
public class MusicGroupStudentFee {

	/**  */
	private Long id;

	/**  */
	@ApiModelProperty(value = "乐团编号", required = false)
	private Integer musicGroupId;

	/**  */
	@ApiModelProperty(value = "用户编号", required = false)
	private Integer userId;

	/** 课程费用 */
	@ApiModelProperty(value = "课程费用", required = false)
	private BigDecimal courseFee;

	/** 课程费用 */
	@ApiModelProperty(value = "下次缴费日期", required = false)
	private Date nextPaymentDate;

	/** 课程费用 */
	@ApiModelProperty(value = "最近缴费时间", required = false)
	private Date latestPaidTime;

	@ApiModelProperty(value = "连续旷到次数", required = false)
	private Integer continuousAbsenteeismTimes;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	public Date getNextPaymentDate() {
		return nextPaymentDate;
	}

	public void setNextPaymentDate(Date nextPaymentDate) {
		this.nextPaymentDate = nextPaymentDate;
	}

	public Date getLatestPaidTime() {
		return latestPaidTime;
	}

	public void setLatestPaidTime(Date latestPaidTime) {
		this.latestPaidTime = latestPaidTime;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setMusicGroupId(Integer musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public Integer getMusicGroupId() {
		return this.musicGroupId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getUserId() {
		return this.userId;
	}

	public BigDecimal getCourseFee() {
		return courseFee;
	}

	public void setCourseFee(BigDecimal courseFee) {
		this.courseFee = courseFee;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public Integer getContinuousAbsenteeismTimes() {
		return continuousAbsenteeismTimes;
	}

	public void setContinuousAbsenteeismTimes(Integer continuousAbsenteeismTimes) {
		this.continuousAbsenteeismTimes = continuousAbsenteeismTimes;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
